Subject: Re: [rrg] Embedding geo info in PA addresses=>A compromise between geo-aggregatable and provider-aggregetable address//re: Aggregatable EIDs

From: Lixia Zhang <[email-masked]>
Date: Mon, 1 Feb 2010 23:12:01 -0800

On Jan 14, 2010, at 7:54 AM, Noel Chiappa wrote:

> Ah, no.
>
> Everyone who keeps going on about embedding geographic information  
> into the
> names used by the path-selection is missing something really critical:
>
> ***Two computers which are _across the street from each other_, in  
> geographic
> terms, may be (and often, are) _many hops apart_, in network terms -  
> because
> they are connected to different ISPs whose geographically nearest  
> point of
> connection is a long way away (e.g. in another city).***
>
> Geographic information about two computers tells you _nothing_ about  
> how close
> they are to each other, in terms of the path through the network  
> between them.
> That is why the names used in path selection have to be based on,  
> and embody,
> only the _actual network connectivity_.
>
> Now, can we stop being hearing this ridiculous nonsense about  
> embedding
> geographic information in the names used by path-selection?
>
>        Noel

sorry for this belated reply: Noel, looks like you missed part of the  
picture being discussed here.
I fully agree with your comment if you talk about solely geo based  
addressing.

But if you look at the msg subject: it is about coding the ISP/AS# as  
*first* part of the address, and having geo info only *after* that. In  
this case the above comment does not seem applicable.

Lixia

---

From: [email-masked] (Noel Chiappa)
Date: Tue, 2 Feb 2010 09:44:57 -0500 (EST)

> From: Lixia Zhang <[email-masked]>

    > it is about coding the ISP/AS# as *first* part of the address, and
    > having geo info only *after* that. In this case the above comment does
    > not seem applicable.

It depends on how many layers of abstraction (aggregation, sort of) you want
to have in your network-location naming system - because the same logic as I
described in the original message applies at each recursive layer of
abstraction in the network-location naming system. In other words, the scheme
you describe above limits you to one level of abstraction (aggregation) in
the path-selection.

Since we would like the routing overhead to scale as something like O(lnN) as
network size (i.e. N) grows, and since a single-level abstraction system will
have overhead growth of O(N) (since a single level of abstraction represents
a constant scaling factor), I myself am dubious that a single level of
abstraction will suffice,

Is your scheme above the result of an assertion that you think a single level
will be sufficient, or what?

	Noel